Bug 965477 - PrintScreen key crash anaconda (Pane is dead) in text mode [NEEDINFO]
PrintScreen key crash anaconda (Pane is dead) in text mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tmux (Show other bugs)
19
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Filipe Rosset
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 05:49 EDT by Martin Banas
Modified: 2015-02-18 08:54 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:54:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rosset.filipe: needinfo? (mbanas)


Attachments (Terms of Use)
anaconda.log (2.36 KB, text/plain)
2013-05-21 05:52 EDT, Martin Banas
no flags Details
ifcfg.log (486 bytes, text/plain)
2013-05-21 05:52 EDT, Martin Banas
no flags Details
packaging.log (11.44 KB, text/plain)
2013-05-21 05:52 EDT, Martin Banas
no flags Details
program.log (8.57 KB, text/plain)
2013-05-21 05:52 EDT, Martin Banas
no flags Details
storage.log (30.33 KB, text/plain)
2013-05-21 05:52 EDT, Martin Banas
no flags Details
storage.state (16.00 KB, application/octet-stream)
2013-05-21 05:52 EDT, Martin Banas
no flags Details
syslog (65.87 KB, text/plain)
2013-05-21 05:52 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-05-21 05:49:58 EDT
Description of problem:
When user hits PrintScreen, anaconda crashes (Pane is dead)

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28

How reproducible:
always

Steps to Reproduce:
1. Start text mode installation
2. Hit printscreen key

Actual results:
Anaconda crashes (Pane is dead)

Expected results:
Anaconda should not crash whenever user hits printscreen key

Additional info:
I'm setting high priority since if user does it by mistake, he needs to restart anaconda. It happens also during package installation.
Comment 1 Martin Banas 2013-05-21 05:52:18 EDT
Created attachment 750948 [details]
anaconda.log
Comment 2 Martin Banas 2013-05-21 05:52:24 EDT
Created attachment 750950 [details]
ifcfg.log
Comment 3 Martin Banas 2013-05-21 05:52:29 EDT
Created attachment 750951 [details]
packaging.log
Comment 4 Martin Banas 2013-05-21 05:52:34 EDT
Created attachment 750952 [details]
program.log
Comment 5 Martin Banas 2013-05-21 05:52:41 EDT
Created attachment 750953 [details]
storage.log
Comment 6 Martin Banas 2013-05-21 05:52:49 EDT
Created attachment 750954 [details]
storage.state
Comment 7 Martin Banas 2013-05-21 05:52:56 EDT
Created attachment 750955 [details]
syslog
Comment 8 Brian Lane 2013-05-24 20:38:24 EDT
This is TMUX that is dropping dead (eg. try it in a different pane). In text mode anaconda doesn't setup the PrintScreen key.
Comment 9 Filipe Rosset 2014-02-22 13:59:30 EST
Hi Martin, please take a look if you can reproduce it with new tmux-1.9 (available in f19, f20 and rawhide), if the issue is still present we'll report it upstream.
Comment 10 Fedora End Of Life 2015-01-09 17:07:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 08:54:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.